Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations should be replaced with vowel+tonos counterparts

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Jul 2019 15:49:31 +0300

> From: Robert Pluim <[email-masked]>
> Cc: Robert Alessi <[email-masked]>,  [email-masked]
> Date: Fri, 19 Jul 2019 10:27:35 +0200
> 
> >>>>> On Fri, 19 Jul 2019 09:57:38 +0300, Eli Zaretskii <[email-masked]> said:
> 
>     Eli> We could ask on the Unicode mailing list.  There are Unicode experts
>     Eli> there, and they are quite friendly.  If someone can come up with a
>     Eli> comprehensive description of our situation and the issues we are
>     Eli> trying to resolve, please write to [email-masked], and ask the
>     Eli> questions.
> 
> I think reading <https://www.unicode.org/faq/greek.html> helps
> some.

It didn't help me, FWIW.

> My understanding of the situation is that the basic Greek block
> should be used, rather than the extended Greek block, for the LETTER +
> OXIA/TONOS combinations (and the extended block versions all decompose
> to characters in the basic block + a combining mark).

That's unrelated to the issue at hand, AFAIU.  It is relevant to how
you set up your fonts, but not how our input methods should work.  The
point there is that by using the Greek Extended block, you request the
precomposed glyphs from the font, which may or may not be according to
what you want; whereas by using base characters followed by combining
marks you leave it to the rendering system to select the glyph.  But
we should always keep in mind that the shaping engine we use can (and
usually does) decide to use a precomposed glyph even when we type the
character in its decomposed form.  So this is not really relevant to
our issue here.

> To me that implies that the Greek input methods should use GREEK TONOS
> (\u384) consistently rather then GREEK OXIA (\u1ffd), but I couldn't
> see any explicit mention of that, and at least in my font they're
> visually distinct.

I don't actually understand this assertion, because we currently
provide both forms.  So I fail to see a problem in our input methods.
What did I miss?